Download it now!
Bug 37511 - copy-paste from Draw to Writer results appearing unexpected styles
Summary: copy-paste from Draw to Writer results appearing unexpected styles
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Paste Textbox Writer-Styles
  Show dependency treegraph
 
Reported: 2011-05-23 10:11 UTC by sasha.libreoffice
Modified: 2019-08-19 07:00 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
document with strange styles (10.76 KB, application/vnd.oasis.opendocument.text)
2011-05-23 10:11 UTC, sasha.libreoffice
Details
Screenshot, See Comment 1 (15.64 KB, image/png)
2011-05-25 08:24 UTC, Rainer Bielefeld Retired
Details
screenshot of 6.0.6.2 (did not occur in 6.1.0.3) (98.22 KB, image/jpeg)
2018-08-10 20:21 UTC, russell
Details

Note You need to log in before you can comment on or make changes to this bug.
Description sasha.libreoffice 2011-05-23 10:11:31 UTC
Created attachment 47056 [details]
document with strange styles

To reproduce this bug start Draw and draw there text frame, then enter text there. Then select this text and press Ctrl-C. Then create new Writer document and press there Ctrl-V. Then press F11 (2 times if Stylist already opened). Ensure that "All styles" in bottom of Stylist selected. 
Among styles appears many new styles with German names. In case of russian UI, names of styles consist of question marks.
In attachment is Writer file after described experiments.

This produced on LibO 3.4 rc 1 on Mandriva 64 bit and windows XP 32 bit
Comment 1 Rainer Bielefeld Retired 2011-05-25 08:23:05 UTC
[Reproducible] with "LibreOffice 3.4.0RC1  – WIN7  Home Premium  (64bit) English UI [OOO340m1 (Build:11)]". To get the effect it's important to copy / paste the text contents of the text box in step "Then select this text ...". The funny styles will not appear if you copy the compete text box (also not if you then will copy / paste the text contents from the box ot the document body).

Styles are called "Default~LT~Gliederung" and similar, I will attach a screenshot.

I also see those styles when I check with OOo 3.1.1
Comment 2 Rainer Bielefeld Retired 2011-05-25 08:24:20 UTC
Created attachment 47149 [details]
Screenshot, See Comment 1

I also see those strange styles in reporter's sample document
Comment 3 clio 2011-05-25 08:47:23 UTC
I can confirm this too (Linux).
Comment 4 Björn Michaelsen 2011-12-23 12:07:05 UTC Comment hidden (obsolete)
Comment 5 sasha.libreoffice 2011-12-25 07:24:36 UTC
reproducible in LibO 3.5.0 beta 1
Comment 6 A (Andy) 2013-04-27 17:39:35 UTC
reproducible with LO 4.0.2.2 (Win7 Home, 64bit)
Comment 7 QA Administrators 2015-03-04 02:22:31 UTC Comment hidden (obsolete)
Comment 8 Jean-Baptiste Faure 2015-03-06 06:08:59 UTC
Still there with LibreOffice 4.4.2.0.0+ built at home under Ubuntu 14.10 x86-64.

The thing that is difficult to understand for the user is that these styles are not visible in Draw when you select the text.
Of course, if you paste without formatting, there is not additional styles.

According to comment #1, I changed version to inherited from OOo.

Best regards. JBF
Comment 9 bugzilla 2015-05-12 20:40:31 UTC
This bug is still present with LO 4.4.2.2 (Win 7).

It is worse than trivial because it causes much confusion as to which custom styles can be safely deleted. 

As well as affecting the copy of text from Draw --> Writer, it is also happens with Writer --> Draw, in fact worse, because ALL the styles in the Writer document get copied over to Draw, and they're of little use!

It would be tolerable if just the style associated with the specific text being copied came over, but they ALL seem to get copied over.

Should I raise a separate bug report for the Writer --> Draw issue??

Regards, Allan
Comment 10 QA Administrators 2016-09-20 09:42:22 UTC Comment hidden (obsolete)
Comment 11 Jean-Baptiste Faure 2016-09-24 16:46:33 UTC
Still reproducible with LibreOffice 5.2.3.0+ built at home under Ubuntu 16.04 x86-64.

Best regards. JBF
Comment 12 QA Administrators 2018-07-03 02:39:18 UTC Comment hidden (obsolete)
Comment 13 bugzilla 2018-07-03 11:18:10 UTC
This annoying bug is still present with LO 6.0.5.2
Comment 14 russell 2018-08-10 20:21:38 UTC
Created attachment 144099 [details]
screenshot of 6.0.6.2 (did not occur in 6.1.0.3)

This might be fixed in 6.1.0.3.

I also tried it in 6.0.6.2 and got the superfluous styles.

Steps in 6.1.0.3 and 6.0.6.2:

1. File > New > Presentation
2. Select a Template: Cancel 
3. Write some text in Title textbox
4. Ctrl-a, Ctrl-c
5. File > New > Text Document
6. Ctrl-v
7. F11 to check styles

Environment: Linux Mint 17.3
LibreOffice deb's were downloaded from libreoffice.
Comment 15 russell 2018-08-10 20:38:52 UTC
The 1st bug post used Draw.

I also tried this: File > New > Drawing, Insert > Text Box, typed some text, selected text, copied text and pasted text in a new Writer document.

When copied to Writer, Styles looked ok in 6.1.0.3.

I should note, when I did the test in 6.0.6.2, the formatting appeared to be copied too. For example, if the text was centered in Draw or Impress, it was centered in Writer. This is not the case with 6.1.0.3, but the Styles are ok.
Comment 16 QA Administrators 2019-08-19 07:00:57 UTC
Dear sasha.libreoffice,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug